SXOS 7.0.1 on 8.x.x FW officially broken?

Discussion in 'Switch - Backup Loaders & Modchips' started by viper3344, May 8, 2019.

  1. viper3344
    OP

    viper3344 GBAtemp Regular

    Member
    4
    Aug 18, 2011
    United States
    Hey everyone!

    Are we officially calling the latest SXOS update and 8.x.x compatibility BROKEN?

    I have not seen a single person state that all their older NSP's are working. Just constant reports of bugs and errors. Is the official stance to wait for another update?
     
  2. ssssss13

    ssssss13 GBAtemp Regular

    Member
    4
    Aug 4, 2018
    United Kingdom
    FWIW my NSPs works, atleast the ones I tried.
     
    XpertXP1 likes this.
  3. CrisFTW

    CrisFTW GBAtemp Maniac

    Member
    8
    Jan 10, 2016
    United States
    Just reinstall the games. People have reported their older nsp are not working after updating. SX OS 2.7.1 is good enough to fix your problem.
     
  4. dsrules

    dsrules GBAtemp Guru

    Member
    10
    Sep 20, 2005
    0 problems here
     
  5. LordRahl72

    LordRahl72 GBAtemp Regular

    Member
    4
    Jun 12, 2018
    United States
    Everything works like a charm here. Never had to reinstall anything.
     
    Ita54_2 likes this.
  6. Mthodmn101

    Mthodmn101 GBAtemp Fan

    Member
    6
    Jan 31, 2008
    United States
    mine are working...
     
  7. XpertXP1

    XpertXP1 GBAtemp Regular

    Member
    5
    Dec 13, 2013
    United States
    Only had to reinstall Kirby, otherwise all other "older" games are working fine.
     
  8. wurstpistole

    wurstpistole I got 8 warning points

    Member
    12
    Nov 19, 2015
    Gambia, The
    clickbait title
     
    Moko, Dark Ronin and gizmomelb like this.
  9. darkseekerliu

    darkseekerliu Advanced Player

    Member
    4
    Jun 13, 2013
    Brazil
    Drakonia
    No problems so far. 2.7.1 works fine on my end. Emunand updated to 8.0.1 and clean nand on 6.2.
     
  10. nantalos

    nantalos Member

    Newcomer
    3
    Nov 1, 2018
    Germany
    No problems here either.
    With 7.0. I had one single game that didn't work anymore while most games other people said stopped working for them still worked on my switch. But with 7.0.1. Overcooked starts just fine again.
     
  11. viper3344
    OP

    viper3344 GBAtemp Regular

    Member
    4
    Aug 18, 2011
    United States
    Ok thanks everyone! There just has been so many folks reporting broken NSP's and not many (if at all) anyone reporting that everything worked fine.

    Good to hear its working for a lot of folks as well!
     
  12. dsrules

    dsrules GBAtemp Guru

    Member
    10
    Sep 20, 2005
    there are always problems with some people on any cfw
     
  13. oldmumak

    oldmumak Member

    Newcomer
    4
    Sep 10, 2016
    Canada
    I have over 100 nsp's installed, over half the ones I try dont work after I updated.
     
  14. HellaJvke

    HellaJvke GBAtemp Regular

    Member
    3
    Oct 25, 2016
    United States
    In your mind
    actually many of my nsps are not working
    super smash isnt
    it ends up checking for corrupted data

    i havent tried reinstalling because im lazy and am hoping sxos will just come out with an ota update to fix it

    8.01
     
  15. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    19
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Mar 17, 2010
    Norway
    Alola
    You usually don't hear from the people who aren't having problems because they're too busy enjoying the system or their lives. Whereas the moment something breaks people come on here to vent.
     
    splymb, andyhappypants and LordRahl72 like this.
  16. Nincompoopdo

    Nincompoopdo GBAtemp Fan

    Member
    6
    May 20, 2017
    United States
    Games installed using older version of SXOS all failed the corruption test. I'm talking about the SXOS released last year. If you use Switch's 'check for file corruption' function, those old games installed last year will all failed. TX knew about it, they said as long as you can play it - then it's fine. Now that bug is coming back to bite them. All games installed using Devmenu or Tinfoil will not have this bug.
     
    HellaJvke, Rahkeesh and gizmomelb like this.
  17. ModderFokker619

    ModderFokker619 GBAtemp Advanced Fan

    Member
    6
    Oct 2, 2015
    United States
    California
    +1 all working here after updating many to 8.01 and 2.71
     
  18. viper3344
    OP

    viper3344 GBAtemp Regular

    Member
    4
    Aug 18, 2011
    United States
    Ok let’s put it this way. As someone who has been installing NSPs since the first release of the sxos and have ONLY installed nsps via the album sxos installer, it looks like I am likely to have problems....

    Is this only nsp installs or XCIs that are installed as well? (Or only xcis that are installed?)

    Thanks for all the info!
     
    HellaJvke likes this.
  19. zahimi

    zahimi GBAtemp theme maker extraordinarie

    Member
    8
    Nov 5, 2006
    United Kingdom
    The title is officialy wrong. Everything works just fine with 2.7.1.
    There is no such thing SXOS 7.01.
     
  20. Nincompoopdo

    Nincompoopdo GBAtemp Fan

    Member
    6
    May 20, 2017
    United States
    Use the Switch built-in corruption test to check your games. If it says the game is corrupted then you won't be able to play it if you use SXOS 2.71 with FW 8.01.
     
    splymb likes this.
Loading...